Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689557 (rust-nasm-rs) - Review Request: rust-nasm-rs - Run NASM during your Cargo build
Summary: Review Request: rust-nasm-rs - Run NASM during your Cargo build
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-nasm-rs
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-16 16:56 UTC by Robert-André Mauchin
Modified: 2019-03-20 09:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 09:10:39 UTC
i.gnatenko.brain: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-03-16 16:56:41 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/rust-nasm-rs.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/rust-nasm-rs-0.1.4-1.fc31.src.rpm

Description:
Run NASM during your Cargo build.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2019-03-16 17:01:07 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33540554

Comment 2 Igor Gnatenko 2019-03-19 19:32:16 UTC
Use latest rust2rpm to generate specfile (which doesn't generate BuildRequires for optional deps).

Doesn't it need to BuildRequire and Require nasm?

Comment 4 Igor Gnatenko 2019-03-19 21:07:00 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-nasm-rs


Note You need to log in before you can comment on or make changes to this bug.